create table form_formlogs
(
  id bigint primary key  comment 'ID' ,
  create_time datetime default CURRENT_TIMESTAMP comment '创建时间' ,
  update_time datetime default CURRENT_TIMESTAMP comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  uuid varchar(36) comment 'uuid' ,
  log_date datetime default CURRENT_TIMESTAMP comment '操作时间' ,
  device varchar(500) comment '终端信息' ,
  log_operator bigint comment '操作人' ,
  operatorname varchar(100) comment '操作人姓名' ,
  targetid bigint comment '操作目标id' ,
  targetname varchar(3000) comment '操作目标名称' ,
  modulename varchar(100) comment '模块' ,
  functionname varchar(100) comment '服务（方法）' ,
  interfacename varchar(100) comment '访问接口名' ,
  requesturl longtext comment '请求全路径' ,
  requesturi longtext comment '请求地址' ,
  operatetype varchar(50) comment '操作类型' ,
  operatetypename varchar(100) comment '操作类型名称' ,
  operatedesc varchar(3000) comment '操作详细说明' ,
  params longtext comment '涉及的相关参数' ,
  belongmainid varchar(36) comment '所属主表uuid' ,
  clientip varchar(200) comment '操作IP' ,
  groupid varchar(50) comment '分组' ,
  groupnamelabel varchar(1000) comment '分组标题' ,
  redoservice varchar(200) comment '重做业务接口' ,
  redocontext longtext comment '重做参数' ,
  cancelservice varchar(200) comment '撤销业务接口' ,
  cancelcontext longtext comment '撤销参数' ,
  totalruntime bigint comment '总运行时长' ,
  mainruntime bigint comment '主方法运行时长' ,
  log_result varchar(100) comment '运行结果标识' ,
  fromterminal varchar(100) comment '来自pc web' ,
  resultdesc longtext comment '运行结果描述' ,
  old_content longtext comment '原先内容' ,
  link_type varchar(20) comment '链接类型' ,
  link_id bigint comment '链接id' ,
  old_link_id bigint comment '原先链接id' 
)
;

create index idx_form_tenant_key on form_formlogs(tenant_key)
;

create index idx_form_log_date on form_formlogs(log_date)
;

create index idx_form_targetid on form_formlogs(targetid)
;

create index idx_form_modulename on form_formlogs(modulename)
;

create index idx_form_functionname on form_formlogs(functionname)
;

create index idx_form_uuid on form_formlogs(uuid)
;