create table form_view_linkage_detail
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  ref_linkage_id bigint comment '关联属性联动主表id form_view_relate_config.id' ,
  form_id bigint comment '表单id' ,
  linkage_obj varchar(50) comment '变更对象 field字段 detail明细表 layout布局控件' ,
  linkage_value text comment '逗号分隔字段id' ,
  linkage_prop varchar(50) comment '变更属性：edit 编辑，required必填 ,readonly 只读 ,hide 隐藏 ,show显示 hideline隐藏行' 
)
;

create index idx_fvld_tenant_key on form_view_linkage_detail(tenant_key)
;

create index idx_fvld_form_id on form_view_linkage_detail(form_id)
;

create index idx_fvld_ref_linkage_id on form_view_linkage_detail(ref_linkage_id)
;

create table form_view_linkage
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  ref_id bigint comment '关联id(表单默认用formid，审批用wfid)' ,
  form_id bigint comment '关联表单ID' ,
  effect_range_value text comment '生效维度组件JSON' ,
  condition_id bigint comment '条件id' 
)
;

create index idx_fvl_tenant_key on form_view_linkage(tenant_key)
;

create index idx_fvl_form_id on form_view_linkage(form_id)
;