create table form_condition_detail
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  target_id varchar(200) comment '目标字段id' ,
  source_type varchar(50) comment 'and or操作' ,
  detail_symbol varchar(50) comment '操作类型' ,
  detail_type varchar(50) comment '字段详情类型' ,
  source_content text comment '常量值' ,
  source_id varchar(200) comment '变量字段id' ,
  condition_id bigint comment '触发条件表id' 
)
;

create index idx_fcd_tenant_key on form_condition_detail(tenant_key)
;

create index idx_fcd_condition_id on form_condition_detail(condition_id)
;

create table form_condition
(
  id bigint primary key  comment 'ID' ,
  target_Id bigint comment '目标ID' ,
  target_module varchar(200) comment '目标模块' ,
  tenant_key varchar(20) comment '租户KEY' ,
  creator bigint comment '创建人id' ,
  condition_type varchar(50) comment '条件类型' ,
  detail_type varchar(50) comment 'and or操作' ,
  formula_id varchar(50) comment '函数公式Id' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  delete_type int comment '是否删除' 
)
;

create index idx_fc_tenant_key on form_condition(tenant_key)
;

create index idx_fc_form_id on form_condition(target_Id)
;