create table form_folder_ref
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  ref_id varchar(50) comment '引用id' ,
  form_id bigint comment '表单id' ,
  source_module varchar(100) comment '模块' ,
  field_name varchar(200) comment '字段名称' ,
  data_key varchar(200) comment '数据库表列名datakey' ,
  fun_type varchar(200) comment '功能入口类型' ,
  target_id varchar(100) comment '引用id文件夹id' ,
  field_id bigint comment '字段id' ,
  field_option_id varchar(100) comment '选项id' ,
  other_key varchar(100) comment '其他键id' ,
  layout_id bigint comment '布局id' 
)
;

create index ffr_tenant_key_idx on form_folder_ref(tenant_key)
;

create index ffr_form_id_idx on form_folder_ref(form_id)
;

create index ffr_field_id_idx on form_folder_ref(field_id)
;

create index ffr_field_option_id_idx on form_folder_ref(field_option_id)
;

create index ffr_other_key_idx on form_folder_ref(other_key)
;

create index ffr_target_id_idx on form_folder_ref(target_id)
;

create index ffr_fun_type_idx on form_folder_ref(fun_type)
;

create index ff_layout_id_idx on form_folder_ref(layout_id)
;