create table form_mobile_interact
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int default 0 comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  data_id bigint not null comment '表单主表数据ID' ,
  ref_id bigint not null comment '关联ID' ,
  operator_id bigint not null comment '操作人ID' ,
  operate_time datetime comment '操作日期时间' ,
  address varchar(800) comment '地址' ,
  lng varchar(200) comment '经度' ,
  lat varchar(200) comment '维度' ,
  operate_type varchar(50) comment '操作类型' ,
  data_status int default 0 comment '状态 0-未完成 1-完成' ,
  field_id bigint not null comment '字段id' ,
  row_id bigint default '0' comment '表单明细数据ID(预留)' 
)
;

create index form_fl_tk_5ba3141a on form_mobile_interact(tenant_key)
;

create index form_fl_did_40f214dc on form_mobile_interact(data_id)
;

create index form_fl_fid_da977b9f on form_mobile_interact(field_id)
;

create index form_fl_operid_1840d283 on form_mobile_interact(operator_id)
;

create index form_fl_dst_d73c3a29_70221709 on form_mobile_interact(data_status)
;