create table form_formlogs
(
  id bigint primary key ,
  create_time datetime default getdate(),
  update_time datetime default getdate(),
  creator bigint,
  delete_type int default 0,
  tenant_key nvarchar(10),
  uuid nvarchar(36),
  log_date datetime default getdate(),
  device nvarchar(500),
  log_operator bigint,
  operatorname nvarchar(100),
  targetid bigint,
  targetname nvarchar(3000),
  modulename nvarchar(100),
  functionname nvarchar(100),
  interfacename nvarchar(100),
  requesturl ntext,
  requesturi ntext,
  operatetype nvarchar(50),
  operatetypename nvarchar(100),
  operatedesc nvarchar(3000),
  params ntext,
  belongmainid nvarchar(36),
  clientip nvarchar(200),
  groupid nvarchar(50),
  groupnamelabel nvarchar(1000),
  redoservice nvarchar(200),
  redocontext ntext,
  cancelservice nvarchar(200),
  cancelcontext ntext,
  totalruntime bigint,
  mainruntime bigint,
  log_result nvarchar(100),
  fromterminal nvarchar(100),
  resultdesc ntext,
  old_content ntext,
  link_type nvarchar(20),
  link_id bigint,
  old_link_id bigint
)
GO

create index idx_form_tenant_key on form_formlogs(tenant_key)
GO

create index idx_form_log_date on form_formlogs(log_date)
GO

create index idx_form_targetid on form_formlogs(targetid)
GO

create index idx_form_modulename on form_formlogs(modulename)
GO

create index idx_form_functionname on form_formlogs(functionname)
GO

create index idx_form_uuid on form_formlogs(uuid)
GO