create table form_condition_detail
(
  id bigint primary key ,
  create_time datetime,
  update_time datetime,
  creator bigint,
  delete_type int default 0,
  tenant_key nvarchar(10),
  target_id nvarchar(200),
  source_type nvarchar(50),
  detail_symbol nvarchar(50),
  detail_type nvarchar(50),
  source_content ntext,
  source_id nvarchar(200),
  condition_id bigint
)
GO

create index idx_fcd_tenant_key on form_condition_detail(tenant_key)
GO

create index idx_fcd_condition_id on form_condition_detail(condition_id)
GO

create table form_condition
(
  id bigint primary key ,
  target_Id bigint,
  target_module nvarchar(200),
  tenant_key nvarchar(20),
  creator bigint,
  condition_type nvarchar(50),
  detail_type nvarchar(50),
  formula_id nvarchar(50),
  create_time datetime,
  update_time datetime,
  delete_type int
)
GO

create index idx_fc_tenant_key on form_condition(tenant_key)
GO

create index idx_fc_form_id on form_condition(target_Id)
GO